<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">DAFTAR TAGIHAN PINJAMAN</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-10 form-inline">
              <label class="col-form-label mr-1">Menunjukkan </label>
              <select (change)="doGetListTagihan()" class="form-control" [(ngModel)]="itemsPerPage">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
                <option value="100">100</option>
              </select>
              <label class="ml-1"> Data</label>
            </div>
            <!--<div class="pull-right">-->
              <!--<button *ngIf="dataUser.role === 'ADM'" class="btn btn-success" data-toggle="modal" (click)="gotoNew(1);">-->
                <!--<i class="icon-plus"></i> Tambah Tagihan</button>-->
            <!--</div>-->
          </div><br>
          <div class="card card-accent-success">
            <div class="card-body">
              <div class="row">
                <div class="col-sm-3">
                  <label class="col-form-label">Tanggal Mulai</label>
                  <input class="form-control" (keyup.enter)="doGetListTagihan()" id="tanggalMulai" type="text" placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" [(ngModel)]="tanggalMulai">
                </div>
                <div class="col=sm-3">
                  <label class="col-form-label">Tanggal Akhir</label>
                  <input class="form-control" (keyup.enter)="doGetListTagihan()" id="tanggalAkhir" type="text" placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" [(ngModel)]="tanggalAkhir">
                </div>
                <div class="col-sm-3" *ngIf="dataUser.role!=='HRD'">
                  <label class="col-form-label">Perusahaan </label>
                  <app-company-select [options]="listPerusahaan" (someChildEvent)="selectedPerusahaan=$event" ></app-company-select>
                </div>
                <div [ngClass]="{'col-sm-3': dataUser.role === 'HRD', 'col-sm-2': dataUser.role === 'ADM' || dataUser.role === 'PENGAWAS'}">
                  <label class="col-form-label">Pencarian </label>
                  <input id="appendedInputButton" (keyup.enter)="doGetListTagihan()" [(ngModel)]="filterText" class="form-control" type="text" placeholder="Pencarian...">
                  <!--<div class="controls">-->
                  <!--<div class="input-group">-->
                  <!--<input id="appendedInputButton" [(ngModel)]="filterText" class="form-control" size="16" type="text" placeholder="Pencarian...">-->
                  <!--<span class="input-group-append">-->
                  <!--<button class="btn btn-success" type="button" (click)="doGetListFee()"><i class="fa fa-search"></i> Cari </button>-->
                  <!--</span>-->
                  <!--</div>-->
                  <!--</div>-->
                </div>
                <div class="col-sm-1 pl-0 pr-0" style="margin-top: 34px">
                  <button class="btn btn-success"  (click)="doGetListTagihan()"><i class="fa fa-search"></i> Cari</button>
                </div>
              </div>
            </div>
          </div>
          <!--<div *ngIf="listSimpanan | filter: filterText as list">-->
          <table class="table table-bordered table-striped table-sm table-responsive">
            <thead>
            <tr class="font-xs">
              <th class="text-center align-middle" style="width: 1%">#</th>
              <!--<th class="text-center">ID Ajuan</th>-->
              <th class="text-center align-middle" style="width: 5%" (click)="sort('tanggalSimpanan')">Nomor Anggota
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'tanggalSimpanan',
                                    'fa-sort-asc': (column == 'tanggalSimpanan' && isDesc),
                                    'fa-sort-desc': (column == 'tanggalSimpanan' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 10%" (click)="sort('nama')">Anggota
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nama',
                                    'fa-sort-asc': (column == 'nama' && isDesc),
                                    'fa-sort-desc': (column == 'nama' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 5%" (click)="sort('namaSimpanan')">Nama Proyek
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaSimpanan',
                                    'fa-sort-asc': (column == 'namaSimpanan' && isDesc),
                                    'fa-sort-desc': (column == 'namaSimpanan' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 10%" (click)="sort('tanggalPinjaman')">Tanggal Pinjaman
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'tanggalPinjaman',
                                    'fa-sort-asc': (column == 'tanggalPinjaman' && isDesc),
                                    'fa-sort-desc': (column == 'tanggalPinjaman' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 10%" (click)="sort('jenisPinjaman')">Jenis Pinjaman
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'jenisPinjaman',
                                    'fa-sort-asc': (column == 'jenisPinjaman' && isDesc),
                                    'fa-sort-desc': (column == 'jenisPinjaman' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 10%" (click)="sort('keperluan')">Keperluan
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'keperluan',
                                    'fa-sort-asc': (column == 'keperluan' && isDesc),
                                    'fa-sort-desc': (column == 'keperluan' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 10%" (click)="sort('nominal')">Nominal
                <i class="fa" [ngClass]="{'fa-sort': column != 'nominal',
                                    'fa-sort-asc': (column == 'nominal' && isDesc),
                                    'fa-sort-desc': (column == 'nominal' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 10%" (click)="sort('lamaAngsuran')">Lama Angsuran
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'lamaAngsuran',
                                    'fa-sort-asc': (column == 'lamaAngsuran' && isDesc),
                                    'fa-sort-desc': (column == 'lamaAngsuran' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 10%" (click)="sort('sisaAngsuran')">Sisa Angsuran
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'sisaAngsuran',
                                    'fa-sort-asc': (column == 'sisaAngsuran' && isDesc),
                                    'fa-sort-desc': (column == 'sisaAngsuran' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 10%" (click)="sort('jumlahAngsuran')">Jumlah Angsuran
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'jumlahAngsuran',
                                    'fa-sort-asc': (column == 'jumlahAngsuran' && isDesc),
                                    'fa-sort-desc': (column == 'jumlahAngsuran' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <!--<th class="text-center align-middle" style="width: 12%">Aksi</th>-->
            </tr>
            </thead>
            <tbody *ngIf="!listTagihan || listTagihan.length===0">
            <tr>
              <td colspan="11" class="text-center">Tidak Ada Data</td>
            </tr>
            </tbody>
            <tbody>
            <tr class="text-center font-xs" *ngFor="let data of listTagihan | orderBy: {property: column, direction: direction}; let i=index;">
              <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
              <td>{{data.nomorAnggota}}</td>
              <td><a href="javascript:void(0)" title="List Pinjaman Anggota" (click)="gotoList(data.nomorNik, data.nama, data.kodePerusahaan, data.nomorAnggota)"><div>{{ data.nomorNik }}</div></a>{{data.nama}}</td>
              <td>{{ data.namaProject }}
                <span *ngIf="data.bulan || data.tahun"> - {{data.bulan}} {{data.tahun}}</span>
              </td>
              <td>{{ data.tanggalPengajuan | date: 'dd MMM yyyy'}}</td>
              <td>{{ data.tipePengajuan}}</td>
              <td>{{ data.keterangan}}</td>
              <td>{{ data.nominalPinjaman | number}}</td>
              <td>{{ data.lamaAngsuran }}</td>
              <td>{{ data.sisaAngsuran }}</td>
              <td>{{ data.nominalAngsuran | number }}</td>
              <!--<td>-->
                <!--<button class="btn btn-success btn-sm" (click)="addModal.show(); setSelectedTagihan(data)"><i class="fa fa-edit"></i> Ubah</button>-->
                <!--<button class="btn btn-danger btn-sm ml-1" (click)="confirmModal.show(); setSelectedTagihan(data)"><i class="fa fa-times"></i> Hapus</button>-->
              <!--</td>-->
            </tr>
            </tbody>
          </table>
          <!--<p class="text-muted font-italic pull-left">Menampilkan {{(currentPage - 1)*itemsPerPage + 1}} hingga {{currentPage*itemsPerPage}} dari {{totalItems}}</p>-->
          <div class="pull-right mt-auto">
            <pagination *ngIf="listTagihan.length !== 0"  [totalItems]="totalItems" [maxSize]="5" [rotate]="true" [boundaryLinks]="true"
                        [(ngModel)]="currentPage" [itemsPerPage]="itemsPerPage" (pageChanged)="pageChanged($event)">
            </pagination>
          </div>
          <!--</div>-->
        </div>
      </div>
    </div>
  </div>
</div>

<div bsModal #confirmModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="confirmModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> Konfirmasi {{modalTitle}} Pengajuan</h4>
        <button type="button" class="close" (click)="addModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <h4>Apakah Anda yakin ingin {{modalTitle}} pengajuan ini?</h4>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="confirmModal.hide()">Tidak</button>
        <button type="button" class="btn btn-success" (click)="confirmModal.hide(); submit()">
          <i class="fa fa-save"></i> Ya</button>
      </div>
    </div>
  </div>
</div>
